/* ==== combat.c ==== */
/* Uh... what'll we do here? */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "porrog_defs.h"
#include "C-foogrid.h"
#include "item_t.h"
#include "structures.h"
#include "monster.h"
#include "ui.h"
#include "combat.h"


void p_hit_m(foogrid *map, monster_t *target)
{
    /* For now, we just assume player always hits
    and removes 1 HP from target */
    target->Var_stats.Hp--;
    sprintf(strbuf,"You hit the %s.",target->Mobtype->Name);
    show_messages(strbuf);
    if(target->Var_stats.Hp<0)
    {
       sprintf(strbuf,"You kill the %s!",target->Mobtype->Name);
       show_messages(strbuf);
       m_die(map, target); /* should be in monster.c */
    }
}

void m_hit_p(foogrid *map, monster_t *attacker)
{
    /* We don't do this yet. */
}
