/* ==== memutils.c ==== */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>
static long alloc_count=0;
/* Will change this to an array of counts for different types,
   and change counting_malloc and counting_free to also take an
   identifier of what type they're dealing with.
   Some time. */

void *counting_malloc(size_t size)
{
    alloc_count++;
    return malloc(size);
}

void counting_free(void *ptr)
{
    alloc_count--;
    free(ptr);
}

long check_allocs()
{
    return(alloc_count);
}
