/* ==== testrng.c ==== */
/* Just temporary test harness! */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <stdio.h>
#include "porrog_defs.h"
#include "crash.h"
#include "dXrng.h"
#include "structures.h"
#include "ui.h" /*Now needed by crash.c, which is needed by dXrng.c*/

int main ()
{
    int i;
    dXrng_roller *die;
    initialise_dXrng();
    die=new_dX(8);
    /* Now start rolling numbers. */
    for (i=0;i<32000;i++)
       printf("%i ",roll_dX(die));
    for (i=0;i<32000;i++)
       printf("%i ",dXrng_sysrandom(8));
    return 0;
}
