/* ==== help.c ==== */


void help_main()
{
   show_help("contents");
}

void show_help(char *section) /* section must have already been formatted*/
{
    unsigned char a,b;
    int fsize;
    FILE *fp;
    char fname[25];
    sprintf(fname,"%s.ifo",section);
    fp=fopen(fname,"r");

    fscanf(fp,"%c%c",a,b);
    fsize=(256*a)+b;
    farray=(char *)counting_malloc(fsize*sizeof(char));
    for(count=0;count<fsize;count++)
      farray+count)=getc(fp);


    counting_free(farray);
}

void format_help(char *section)
{
    unsigned char a,b;
    char r;
    int fsize;
    FILE *fps;
    FILE *fpt;
    char ssource[25];
    char starget[25];
    sprintf(ssource,"%s.src",section);
    sprintf(starget,"%s.ifo",section);
    fps=fopen(ssource,"r");
    /* Read through chars of ssource to count how many there are.
       If we find more than 65280, give an error. */

    for(count=0; count<65290 && getc(fps)!=EOF ;count++);
    if (count>65279) crash(IO_ERROR); /* Source file too big */

    fsize=count;
    a=(fsize/256);
    b=fsize-(a*256);
    fpt=fopen(starget,"w");
    fprintf(fpt,"%c%c",a,b);

    rewind(fps);
    for(count=0;count<fsize;count++)
    {
      r=getc(fps);
      if(r==EOF) crash(FUNCTION_ERROR); /* For testing */
      putc(r,fpt);
    }
    fclose(ssource);fclose(starget);
}

